New upstream development branch version 1.41.5
Add lzip filter to the existing nbdkit-xz-filter package Reenable MC in mingw build
This commit is contained in:
parent
8bc76e0971
commit
fd5bf0f0ea
3 changed files with 67 additions and 8 deletions
|
|
@ -0,0 +1,50 @@
|
|||
From 8e5b4e181043ec3b24a5cd1b51f55d1e596bf651 Mon Sep 17 00:00:00 2001
|
||||
From: "Richard W.M. Jones" <rjones@redhat.com>
|
||||
Date: Sun, 22 Sep 2024 20:58:35 +0100
|
||||
Subject: [PATCH] tests/test-ondemand.sh: Work around bug in qemu 9.1
|
||||
exportname handling
|
||||
|
||||
qemu 9.1 NBD URI handling of export names is buggy:
|
||||
https://gitlab.com/qemu-project/qemu/-/issues/2584
|
||||
|
||||
Work around this bug in the tests.
|
||||
---
|
||||
tests/test-ondemand.sh | 19 +++++++++++++------
|
||||
1 file changed, 13 insertions(+), 6 deletions(-)
|
||||
|
||||
diff --git a/tests/test-ondemand.sh b/tests/test-ondemand.sh
|
||||
index 83abd85026..1443d3e9a3 100755
|
||||
--- a/tests/test-ondemand.sh
|
||||
+++ b/tests/test-ondemand.sh
|
||||
@@ -68,15 +68,22 @@ test -f $dir/default
|
||||
test -f $dir/test
|
||||
|
||||
# These should fail because the exportname is invalid.
|
||||
+errors=0
|
||||
for e in /bad .bad . .. ./etc ; do
|
||||
- if nbdinfo "nbd+unix:///$e?socket=$sock" ||
|
||||
- qemu-img info "nbd+unix:///$e?socket=$sock" ||
|
||||
- qemu-img info nbd:unix:$sock:exportname=$e
|
||||
- then
|
||||
- echo "$0: expected failure trying to create bad exportname"
|
||||
- exit 1
|
||||
+ if nbdinfo "nbd+unix:///$e?socket=$sock"; then ((errors++)) ||:; fi
|
||||
+ # QEMU 9.1 fails to parse exportnames starting with "." correctly:
|
||||
+ # https://gitlab.com/qemu-project/qemu/-/issues/2584
|
||||
+ if test "$e" != "." && test "$e" != ".." && test "$e" != "./etc"; then
|
||||
+ if qemu-img info "nbd+unix:///$e?socket=$sock"
|
||||
+ then ((errors++)) ||:; fi
|
||||
+ if qemu-img info nbd:unix:$sock:exportname=$e
|
||||
+ then ((errors++)) ||:; fi
|
||||
fi
|
||||
done
|
||||
+if test "$errors" -gt 0; then
|
||||
+ echo "$0: expected failure trying to create bad exportname"
|
||||
+ exit 1
|
||||
+fi
|
||||
|
||||
# Check the filesystem is persistent.
|
||||
guestfish --format=raw -a "nbd://?socket=$sock" -m /dev/sda <<EOF
|
||||
--
|
||||
2.46.0
|
||||
|
||||
21
nbdkit.spec
21
nbdkit.spec
|
|
@ -54,7 +54,7 @@
|
|||
%global source_directory 1.41-development
|
||||
|
||||
Name: nbdkit
|
||||
Version: 1.41.4
|
||||
Version: 1.41.5
|
||||
Release: 1%{?dist}
|
||||
Summary: NBD server
|
||||
|
||||
|
|
@ -86,6 +86,10 @@ Source6: %{modulename}.te
|
|||
Source7: %{modulename}.if
|
||||
Source8: %{modulename}.fc
|
||||
|
||||
# Workaround for qemu 9.1
|
||||
# Upstream in 8e5b4e181043ec3b24a5cd1b51f55d1e596bf651
|
||||
Patch: 0001-tests-test-ondemand.sh-Work-around-bug-in-qemu-9.1-e.patch
|
||||
|
||||
# For applying the patches:
|
||||
BuildRequires: git
|
||||
|
||||
|
|
@ -158,6 +162,7 @@ BuildRequires: glibc-utils
|
|||
BuildRequires: /usr/bin/hexdump
|
||||
BuildRequires: /usr/sbin/ip
|
||||
BuildRequires: jq
|
||||
BuildRequires: /usr/bin/lzip
|
||||
BuildRequires: /usr/bin/nbdcopy
|
||||
BuildRequires: /usr/bin/nbdinfo
|
||||
BuildRequires: /usr/bin/nbdsh
|
||||
|
|
@ -682,11 +687,11 @@ This package is a tar archive filter for %{name}.
|
|||
|
||||
|
||||
%package xz-filter
|
||||
Summary: XZ filter for %{name}
|
||||
Summary: XZ and lzip filters for %{name}
|
||||
Requires: %{name}-server%{?_isa} = %{version}-%{release}
|
||||
|
||||
%description xz-filter
|
||||
This package is the xz filter for %{name}.
|
||||
This package contains the xz and lzip filters for %{name}.
|
||||
|
||||
|
||||
%package devel
|
||||
|
|
@ -876,10 +881,7 @@ bzip2 -9 %{modulename}.pp
|
|||
popd
|
||||
|
||||
%if 0%{?have_mingw}
|
||||
# MC=no is a temporary hack until this bug is fixed in binutils:
|
||||
# https://sourceware.org/bugzilla/show_bug.cgi?id=31283
|
||||
%mingw_configure \
|
||||
MC=no \
|
||||
--disable-static \
|
||||
--enable-shared \
|
||||
--with-extra='%{name}-%{version}-%{release}' \
|
||||
|
|
@ -1419,7 +1421,9 @@ fi
|
|||
%files xz-filter
|
||||
%doc README.md
|
||||
%license LICENSE
|
||||
%{_libdir}/%{name}/filters/nbdkit-lzip-filter.so
|
||||
%{_libdir}/%{name}/filters/nbdkit-xz-filter.so
|
||||
%{_mandir}/man1/nbdkit-lzip-filter.1*
|
||||
%{_mandir}/man1/nbdkit-xz-filter.1*
|
||||
|
||||
|
||||
|
|
@ -1496,6 +1500,11 @@ fi
|
|||
|
||||
|
||||
%changelog
|
||||
* Sun Sep 22 2024 Richard W.M. Jones <rjones@redhat.com> - 1.41.5-1
|
||||
- New upstream development branch version 1.41.5
|
||||
- Add lzip filter to the existing nbdkit-xz-filter package
|
||||
- Reenable MC in mingw build
|
||||
|
||||
* Fri Sep 13 2024 Richard W.M. Jones <rjones@redhat.com> - 1.41.4-1
|
||||
- New upstream development branch version 1.41.4
|
||||
|
||||
|
|
|
|||
4
sources
4
sources
|
|
@ -1,2 +1,2 @@
|
|||
SHA512 (nbdkit-1.41.4.tar.gz) = cecf361a3084c5d6b9f52727a681d2e28057a3ab6bf599c4b1224dc0beab79fc05e74df78b9e54e582a6628aa8d85bda7cb2a1865fadebc6e7073bc5d67b1bf0
|
||||
SHA512 (nbdkit-1.41.4.tar.gz.sig) = ef0b1158277bf44311245c6fcb463c69281fa0680fb59c391434195a493d51ea0f3c7173046b5dc757f55d8d079f9cb61071870fbe0c02c0394506ea8618dce5
|
||||
SHA512 (nbdkit-1.41.5.tar.gz) = ac24fd54dc6a18bca8c79d7d2c33054a8930fe47ad42663921b42a445b6d9a6573d09c73d97f1c323b302c247d2093567ff27fe3be4018e4bb0b60b53265cb96
|
||||
SHA512 (nbdkit-1.41.5.tar.gz.sig) = c1deed9e8d52b55cbc41917a66c3fd6becb2d8c2de1e81c04a6880aba9f15312cd0fab88051601a9db590d1e93e1c0f598ad6f76eab5731badeacb3b2c816e1d
|
||||
|
|
|
|||
Loading…
Add table
Add a link
Reference in a new issue